// @-webkit-keyframes toHide { from {opacity: 1} to {opacity: 0} };
@keyframes toHide { from {opacity: 0;} to {opacity: 1;} };
// @-webkit-keyframes toShow { from {opacity: 0} to {opacity: 1} };
@keyframes toShow { from {opacity: 1;} to {opacity: 0;} };

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}
.airpay_dec2018 {
    position: relative;
    display: block;
    width: 100%;
    height: 3365px;
    // background: no-repeat top center url(../static/images/airpay_dec2018/position.jpg);
    background: no-repeat top center url(../static/images/airpay_dec2018/background.jpg);
    &__section {
        position: relative;
        display: block;
        width: 100%;

        &--header {
            height: 700px;
        }
        &--condition {
            height: 350px;
        }
        &--status {
            height: 640px;
        }
        &--gacha {
            height: 615px;
        }
        &--exchange {
            height: 1055px;
        }
    }
}
.header {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 540px;
        left: 150px;
        display: block;
        width: 430px;
    }
    &__tag {
        display: block;
        width: 200px;
        height: 45px;
        &--date {
            float: left;
            background: no-repeat center url(../static/images/airpay_dec2018/tag_date.png);
        }
        &--promotion {
            float: right;
            background: no-repeat center url(../static/images/airpay_dec2018/tag_pomotion.png);
        }
    }
}
.condition {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    // background-color: rgba(0,100,0,0.5);
    &__inner {
        position: absolute;
        top: 15px;
        left: 180px;
        display: block;
        width: 740px;
    }
    &__head {
        position: relative;
        display: block;
        width: 363px;
        height: 76px;
        margin: 0px auto;
        // background: no-repeat center url(../static/images/airpay_dec2018/head_block.png);
        background: no-repeat center url(../static/images/airpay_dec2018/head_condition.png);
    }
    &__text {
        font-size: 16px;
        color: #FFFFFF;
        padding: 20px;
        li {
            list-style-type: decimal;
        }
        span {
            color: #488cf1;
            font-weight: bolder;
        }
    }
}
.status {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 15px;
        left: 180px;
        display: block;
        width: 740px;
    }
    &__head {
        position: relative;
        display: block;
        width: 363px;
        height: 76px;
        margin: 0px auto;
        // background: no-repeat center url(../static/images/airpay_dec2018/head_block.png);
        background: no-repeat center url(../static/images/airpay_dec2018/head_status.png);
        margin-bottom: 50px;
    }
    &__group {
        position: relative;
        display: inline-block;
        height: 180px;
        // background-color: rgba(0,0,100,0.5);
        vertical-align: top;
    }
    &__topic {
        position: relative;
        display: block;
        width: 100%;
        text-align: center;
        font-size: 20px;
        line-height: 3em;
        color: #c5e5fe;
        font-weight: bold;
    }
    &__text {
        position: relative;
        display: block;
        width: 100%;
        text-align: center;
        font-size: 44px;
        line-height: 2em;
        color: #FFFFFF;
        font-weight: bold;
    }
}
.gacha {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__head {
        position: absolute;
        display: block;
        width: 363px;
        height: 76px;
        top: -40px;
        left: 50%;
        transform: translate3d(-50%,0,0);
        // background: no-repeat center url(../static/images/airpay_dec2018/head_block.png);
        background: no-repeat center url(../static/images/airpay_dec2018/head_gacha.png);
    }
    &__list {
        position: relative;
        display: block;
        width: 100%;
        height: 360px;
        text-align: center;
        padding-top: 70px;
        // margin: 70px auto 0px;
    }
    &__slot {
        position: relative;
        display: inline-block;
        margin: 2px;
        &--rnd0infinite .gacha__effect{ @include animation-random-mixin(toHide, 0.0s, 0.3s, infinite); }
        &--rnd1infinite .gacha__effect{ @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd2infinite .gacha__effect{ @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd3infinite .gacha__effect{ @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd4infinite .gacha__effect{ @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }

        &--rnd0 .gacha__effect{ @include animation-random-mixin(toHide, 0.0s, 0.3s, 10); }
        &--rnd1 .gacha__effect{ @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd2 .gacha__effect{ @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd3 .gacha__effect{ @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd4 .gacha__effect{ @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--selected .gacha__effect{ @include animation-random-mixin(toShow, 0.2s, 0.3s, 10); }
    }
    &__image {
    }
    &__effect {
        position: absolute;
        top: -1px;
        left: -1px;
        opacity: 0;
    }
    &__random {
        position: relative;
        display: block;
        padding-top: 50px;
    }
    &__btnrandom {
        cursor: pointer;
        position: relative;
        display: block;
        width: 330px;
        height: 71px;
        line-height: 71px;
        text-align: center;
        font-size: 20px;
        color: #FFFFFF;
        margin: 0px auto;
        background: no-repeat top center url(../static/images/airpay_dec2018/btn_random.png);
        &--inactive {
            filter: grayscale(1);
            opacity: 0.5;
            cursor: no-drop;
        }
    }
}
.exchange {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 15px;
        left: 180px;
        display: block;
        width: 720px;
        margin-top: 50px;
    }
    &__head {
        position: relative;
        display: block;
        margin: 0px auto;
        width: 363px;
        height: 76px;
        // background: no-repeat center url(../static/images/airpay_dec2018/head_block.png);
        background: no-repeat center url(../static/images/airpay_dec2018/head_gacha.png);
    }
    &__amount {
        font-size: 20px;
        line-height: 1.2em;
        color: #c5e5fe;
        text-align: center;
        position: absolute;
        right: 0px;
        top: 50%;
        display: block;
        width: 160px;
        transform: translate3d(91%, -58%,0);
        span {
            font-size: 40px;
            line-height: 1.5em;
        }
    }

    &__list {
        position: relative;
        display: block;
        width: 100%;
        height: 635px;
        margin-top: 30px;
    }
    &__slot {
        position: relative;
        display: inline-block;
        text-align: center;
        margin: 25px 15px;
    }
    &__image {
        position: relative;
        margin-bottom: 20px;
    }
    &__btn {
        cursor: pointer;
        position: relative;
        display: block;
        width: 186px;
        height: 43px;
        margin: 0px auto;
        background: no-repeat top center url(../static/images/airpay_dec2018/btn_exchange.png);
        &--inactive {
            background-position: center;
            cursor: no-drop;
        }
    }
}
